package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.proxy.flow.LazyProxyFlow;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyProxyFlowDO;
import org.mapstruct.factory.Mappers;
import org.mapstruct.Mapper;
/**
 * describe 代理流量 
 *
 * @author Jia wei Wu
 * @date 2025/06/06 11:39 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter 
 **/
@Mapper
public interface LazyProxyFlowConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/
    LazyProxyFlowConverter INSTANCE = Mappers.getMapper(LazyProxyFlowConverter.class);
    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyProxyFlowDO 代理流量实体对象     
     * @return {@link LazyProxyFlow} 代理流量领域对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/
    LazyProxyFlow toLazyProxyFlow(LazyProxyFlowDO lazyProxyFlowDO);
    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyProxyFlow 代理流量领域对象     
     * @return {@link LazyProxyFlowDO} 代理流量实体对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/
     LazyProxyFlowDO fromLazyProxyFlow(LazyProxyFlow lazyProxyFlow); 
}